Product Documentation

支持的设备操作系统

Jun 05, 2017

XenMobile 支持对运行以下平台和操作系统的设备进行企业移动性管理,包括应用程序和设备管理。由于平台限制和安全功能,XenMobile 并不在所有平台上支持所有功能。

要支持旧版本的移动操作系统,例如 Android 4.1 和 iOS 7,请参阅 Citrix 支持知识中心中的文章 CTX204192

本文中支持的设备平台信息还适用于 XenMobile Mail Manager 和 XenMobile NetScaler Connector。

注意

  • Citrix 最低支持每个主操作系统平台的当前版本和之前版本。并非 XenMobile 较新版本的所有功能都能在较旧的平台版本上运行。本文详细介绍了 Citrix 支持的适用于每个操作系统的功能。本文还包括 Citrix 测试过的设备型号。对于在使用其他设备型号时遇到的问题,请联系 Citrix 支持。
  • 自 10.4 版起,Worx 移动应用程序已重命名为 XenMobile 应用程序。所有的 XenMobile 应用程序都已重命名。有关详细信息,请参阅关于 XenMobile 应用程序

Android

XenMobile 10.x

所有模式都支持的操作系统:Android 4.4.x、5.x、6.x、7

仅 MDM 模式支持的操作系统:Android 4.1.x、4.2.x、4.3

Worx Home/Secure Hub 在基于 x86 的 Android 设备上支持 MDM 功能。在 XenMobile 10 和 10.1 上,应用程序管理仅在使用基于 ARM 的处理器的 Android 设备上可用。MDX 打包的应用程序在基于 x86 的 Android 设备上不受支持。

MDX 打包的 Worx 应用程序/XenMobile 应用程序在基于 x64 的 Android 设备上受支持。

在 MDM+MAM(企业)模式下 XenMobile 10.x 上专门测试过的 Android 设备和操作系统

  • Google Nexus 7 平板电脑(操作系统 4.4.4)
  • Google Nexus 9 平板电脑(操作系统 7.0)
  • Google Nexus 5(操作系统 6.0.1)
  • Google Nexus 5X(操作系统 7.1.1)
  • Google Pixel
  • Galaxy S4 型号 GT-I9500(获得 Root 权限)(操作系统 4.2.2)
  • Galaxy S7(操作系统 7.0)
  • Galaxy S6(操作系统 6.0.1、5.0)
  • Galaxy Tab A(操作系统 6.0)
  • Galaxy Note3 型号 SM-N900(操作系统 5.0)
  • Galaxy S4,GT-I9500(操作系统 5.0.1)
  • Galaxy S3 型号 GT-I9305(操作系统 4.4.4)
  • Galaxy S4 GT-I9505(操作系统 4.3)
  • Moto Turbo(操作系统 6.0.1)
  • Nexus 9 Tab(操作系统 5.0.1)
  • Nexus 9 Tab(操作系统 5.1.1)
  • Nexus 7(操作系统 4.4)
  • Nexus 6P 操作系统 7.1.1 版
  • Nexus 5(操作系统 5.0.1)
  • Galaxy S6 Edge,SM-G925F(操作系统 6.0.1)
  • 华为 Nexus 6(操作系统 6.0.1 和 7.0)
  • Sony Xperia,型号:SGP311(操作系统为 5.0.1)
  • Galaxy S5 SM-G900F(操作系统 6.0.1)
  • Galaxy S5 SM-G900H(操作系统 6.0.1)
  • HTC One M8(操作系统 4.4.2)

在仅 MDM 模式下 XenMobile 10.x 上专门测试过的 Android 设备和操作系统

  • Google Nexus 7 平板电脑(操作系统 4.4.4)
  • Google Nexus 9 平板电脑(操作系统 7.0)
  • Google Nexus 5(操作系统 6.0.1)
  • Google Nexus 5X(操作系统 7.1.1)
  • Google Pixel
  • Galaxy S7(操作系统 7.0)
  • Galaxy S6(操作系统 6.0.1、5.0)
  • Galaxy Tab A(操作系统 6.0)
  • Galaxy S4 型号 GT-I9500(获得 Root 权限)(操作系统 4.2.2)
  • Galaxy Note3 型号 SM-N900(操作系统 5.0)
  • Galaxy S4,GT-I9500(操作系统 5.0.1)
  • Galaxy S3 型号 GT-I9305(操作系统 4.4.4)
  • Galaxy S4 GT-I9505(操作系统 4.3)
  • Nexus 9 Tab(操作系统 5.0.1)
  • Nexus 9 Tab(操作系统 5.1.1)
  • Nexus 7(操作系统 4.4)
  • Nexus 5(操作系统 5.0.1)
  • Galaxy S6 Edge,SM-G925F(操作系统 6.0.1)
  • 华为 Nexus 6(操作系统 6.0.1 和 7.0)
  • Sony Xperia,型号:SGP311(操作系统为 5.0.1)
  • Galaxy S5 SM-G900F(操作系统 6.0.1)
  • Galaxy S5 SM-G900H(操作系统 6.0.1)
  • HTC One M8(操作系统 4.4.2)

此外,还使用 Secure Mail 测试了以下设备类型。

设备类型

操作系统

Samsung S7 7.0

​Samsung S6

​6.0.1

Samsung S5

5

Samsung Tab A

6.0​.1

Nexus 7

4.4.4


SAFE 和 KNOX

在兼容的 Samsung 设备上,XenMobile 10.x 可同时支持和扩展 Samsung for Enterprise (SAFE) 和 Samsung KNOX 策略。XenMobile 要求您先启用 SAFE API,然后再部署 SAFE 策略和限制。为此,应将内置 Samsung Enterprise License Management (ELM) 密钥部署到设备。要启用 Samsung KNOX API,请执行以下操作:

1. 使用 Samsung KNOX License Management System (KLMS) 购买 Samsung KNOX 许可证。

2. 部署 Samsung ELM 密钥。

对于 HTC 专用策略,XenMobile 支持 HTC API 0.5.0。对于 Sony 特定的策略,XenMobile 支持 Sony Enterprise SDK 2.0。

iOS

注意

iOS 10.3 设备不支持自签名证书。如果 XenMobile 使用自签名证书,用户无法将 iOS 10.3 设备注册到 XenMobile 中。要将运行 iOS 10.3 或更高版本的设备注册到 XenMobile 中,必须在 XenMobile 中使用可信 SSL 证书。

所有 Worx 应用程序/XenMobile 应用程序都与自版本 10.3.10 或更高版本起的 iOS 10 兼容。应使用 MDX Toolkit 10.3.10 或更高版本打包移动应用程序或企业应用程序,才能确保与 iOS 10 正确兼容。如果用户升级到 iOS 10,还必须升级到 Worx Home 10.3.10 或更高版本 (Secure Hub) 才能使用 MDX 应用程序。有关详细信息,请参阅此知识中心文章。

XenMobile 10.3.x、10.4 和 10.5

  • iOS 10.x
  • iOS 9.x
  • iOS 8.x(仅限仅 MDM 部署中的 Worx Home/Secure Hub)

XenMobile 10.3.x 和 10.4 支持的部分 iOS 设备:

  • iPhone 7 + 10.2.1(XenMobile 10.5 及更高版本)
  • iPhone 6、6+、6S、6S+、5s、5、5c
  • iPad 2、3
  • iPad Air、iPad Air-2、iPad Mini-4、Mini-3、Mini-2
  • iPad Pro
  • Mac OS X
    • MacBook、Air、Mini、Mini Retina 10.9.5、10.10、10.11

XenMobile 10 和 10.1

  • iOS 10.x
  • iOS 9.x
  • iOS 8.x(仅限仅 MDM 部署中的 Worx Home)

XenMobile 10 和 10.1 支持的部分 iOS 设备:

  • iPhone 5、5s、5c、6, 6+
  • iPad2、3、Mini、Air、Air2、Mini Retina

Windows Phone 和 Tablet

XenMobile 10.5

  • Windows 10 Phone 和 Tablet
    • 如果 XenMobile 处于仅 MAM 模式,则不支持。
  • Windows Phone 8.1 与 Worx Home 的兼容性。 
    • 如果 XenMobile 处于企业模式:Worx Home 10.0。
    • 如果 XenMobile 处于仅 MDM 模式:Worx Home 9.1.0。
  • Windows Mobile/CE
    • 如果 XenMobile 处于仅 MAM 模式,则不支持。

XenMobile 10.3.x 和 10.4

  • Windows 10 RS1,8.1 Tablet
    • 如果 XenMobile 处于仅 MAM 模式,不支持 Windows 10 Tablet。
  • Windows Tablet Surface Pro 3、Surface 2、RT
  • Windows Phone 10、8.1
    • 对于 Windows Phone 10,必须安装从 XenMobile 下载页面中的修补程序。
    • 如果 XenMobile 处于仅 MAM 模式,则不支持。
  • Windows Phone 8.1 与 Worx Home 的兼容性:
    • Worx Home 10.0(如果 XenMobile 处于企业模式)。
    • Worx Home 9.1.0(如果 XenMobile 处于仅 MDM 模式)。
  • Windows 8.1 Pro Edition 和 Enterprise Edition(32 位和 64 位)
  • Windows RT 8.1
  • Windows Mobile/CE
    • 如果 XenMobile 处于仅 MAM 模式,则不支持。

XenMobile 10.3 支持的部分 Windows 设备:

  • Windows Tablet 10、8.1
  • Windows Phone 10、8.1
  • HTC (Windows Phone 8.1)
  • Nokia 920、925、1020、1520 (Windows Phone 8.1)
  • Windows Tablet Surface Pro 3
  • Windows Tablet Surface 2
  • Windows Tablet RT

XenMobile 10 和 10.1

  • Windows 10 RS1 Tablet
  • Windows Phone 8.1/10:
    • 如果 XenMobile 处于仅 MAM 模式,不支持 Windows Phone 8.1。
    • Windows Phone 10 在 XenMobile 10.3 及更高版本上受支持。
    • Windows Phone 10 在 XenMobile 9 上受支持,但必须安装 Device Manager 滚动修补程序,如此知识中心文章中所述。此外,请记录适用于 Windows Phone 的 Windows 10 Anniversary Update 1607 的修补程序。有关详细信息,请参阅此知识中心文章
  • Windows Phone 8.1 与 Worx Home 的兼容性:

    • Worx Home 10.0(如果 XenMobile 处于企业模式)
    • Worx Home 9.0.3(如果 XenMobile 处于仅 MDM 模式)
  • Windows 8.1 Pro Edition 和 Enterprise Edition(32 位和 64 位)
  • Windows RT 8.1
  • Windows Mobile:XenMobile 10.1 不支持 Windows Mobile 设备。如果用户使用的是运行 Windows Mobile 或 Windows CE 的设备,则必须继续使用 XenMobile 9。

XenMobile 10 和 10.1 支持的部分 Windows 设备:

  • Windows Tablet 8.1
  • HTC (Windows Phone 8.1)
  • Nokia 920、925、1020、1520 (Windows Phone 8.1)
  • Windows Tablet Surface Pro 3
  • Windows Tablet Surface 2
  • Windows Tablet RT

Windows Phone 7 通过 XenMobile Mail Manager 进行管理。有关详细信息,请参阅安装 XenMobile Mail Manager

Symbian

XenMobile 10.3.x、10.4 和 10.5

XenMobile 10.3.x、10.4 和 10.5 不支持 Symbian。

XenMobile 10 和 10.1

以下列表包含 XenMobile 10.1 和 10 支持的部分 Symbian 设备。在 XenMobile 10 中,以下设备仅受设备管理模式支持:

  • Symbian 3
  • Symbian S60 第五版
  • Symbian S60 第三版,Feature Pack 2
  • Symbian S60 第三版,Feature Pack 1
  • Symbian S60 第三版
  • Symbian S60 第二版,Feature Pack 3
  • Symbian S60 第二版,Feature Pack 2

黑莓

黑莓设备通过 XenMobile Mail Manager 进行管理。有关详细信息,请参阅安装 XenMobile Mail Manager